﻿#targetengine "AllesVerpacken"

//Set to true to enable DEBUG code
var DEBUG = false ;

function assert( condition, text ) { if ( DEBUG && !condition ) { alert( text ) ; } }

//Don't want to run twice
if (typeof(KatalogImNuMenuItem) == 'undefined')
{
	//------------------------------------------------------------------------------
	// KatalogImNuMenuItemLoader.constructor
	//------------------------------------------------------------------------------

	function KatalogImNuMenuItemLoader()
	{
	}

	//------------------------------------------------------------------------------
	// KatalogImNuMenuItemLoader.getScriptsFolderPath
	//------------------------------------------------------------------------------

	KatalogImNuMenuItemLoader.getScriptsFolderPath = function()
	{
		try
		{
			var script = app.activeScript;
		}
		catch(e)
		{
			// we are running from the ESTK
			var script = File(e.fileName);
		}
		return script.parent.parent ;	//this file is in the "startup scripts" subfolder
	}


	//------------------------------------------------------------------------------
	// KatalogImNuMenuItemLoader.loadScript
	//------------------------------------------------------------------------------

	KatalogImNuMenuItemLoader.loadScript = function(filename)
	{
		return File(KatalogImNuMenuItemLoader.getScriptsFolderPath() + '/' + filename );
	}

	//------------------------------------------------------------------------------
	// main
	//------------------------------------------------------------------------------

	// load the script
	KatalogImNuMenuItemLoader.script = KatalogImNuMenuItemLoader.loadScript('AllesVerpackenMenuItem.jsxbin');
	if ( !KatalogImNuMenuItemLoader.script.exists )
	{
		KatalogImNuMenuItemLoader.script = KatalogImNuMenuItemLoader.loadScript('AllesVerpackenMenuItem.jsx');
	}
	// execute it
	assert( KatalogImNuMenuItemLoader.script.exists, "AllesVerpackenMenuItem.jsx* missing; load failed" ) ;
	if ( KatalogImNuMenuItemLoader.script.exists )
	{
		var cacheCurrent = Folder.current ;
		try
		{
			Folder.current = KatalogImNuMenuItemLoader.getScriptsFolderPath();
			app.doScript(KatalogImNuMenuItemLoader.script);
		}
		finally
		{
			Folder.current = cacheCurrent ;
		}
	}
}
